package com.hzya.frame.sysnew.warningInterface.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.apache.ibatis.annotations.Select;

/**
 * 预警接口表(SysWarningInterface)表服务接口
 *
 * @author makejava
 * @since 2024-09-03 10:06:19
 */
public interface ISysWarningInterfaceService extends IBaseService<SysWarningInterfaceEntity, String>{
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    JsonResultEntity queryEntity(JSONObject jsonObject);

    JsonResultEntity queryWarningAppList(JSONObject jsonObject);

    JsonResultEntity saveEntity(JSONObject jsonObject);

    JsonResultEntity getEntity(JSONObject jsonObject);

    JsonResultEntity updateEntity(JSONObject jsonObject);

    JsonResultEntity deleteEntity(JSONObject jsonObject);

    JsonResultEntity enableDisableEntity(JSONObject jsonObject);
}
